Subject: Re: [RFC PATCH net-next v5 0/3] Add DWMAC glue driver for Motorcomm YT6801

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 5 Jan 2026 16:58:04 +0000

On Mon, Jan 05, 2026 at 04:32:50PM +0000, Yao Zi wrote:
> On Thu, Dec 25, 2025 at 07:19:11AM +0000, Yao Zi wrote:
> > This series adds glue driver for Motorcomm YT6801 PCIe ethernet
> > controller, which is considered mostly compatible with DWMAC-4 IP by
> > inspecting the register layout[1]. It integrates a Motorcomm YT8531S PHY
> > (confirmed by reading PHY ID) and GMII is used to connect the PHY to
> > MAC[2].
> > 
> > The initialization logic of the MAC is mostly based on previous upstream
> > effort for the controller[3] and the Deepin-maintained downstream Linux
> > driver[4] licensed under GPL-2.0 according to its SPDX headers. However,
> > this series is a completely re-write of the previous patch series,
> > utilizing the existing DWMAC4 driver and introducing a glue driver only.
> > 
> > This series only aims to add basic networking functions for the
> > controller, features like WoL, RSS and LED control are omitted for now.
> > Testing is done on i3-4170, it reaches 939Mbps (TX)/932Mbps (RX) on
> > average,
> 
> Should I send v6 as non-RFC with the tag collected, since net-next is
> open now? Thanks for your answer.

Bear in mind that some folk (me included) have been on vacation over
the holiday period, and we're now in catch up mode with all the email
that arrived during the period we've been away. In my case, that
covers 11th December to 2nd January.

I've just reviewed your dwmac patch and sent comments, which are
minor but would still be an improvement.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!